Bug 10672 - Add subtitle to display of checkouts, overdues, and holds on the patron summary
Summary: Add subtitle to display of checkouts, overdues, and holds on the patron summary
Status: CLOSED FIXED
Alias: None
Product: Koha
Classification: Unclassified
Component: OPAC (show other bugs)
Version: master
Hardware: All All
: P5 - low normal (vote)
Assignee: Owen Leonard
QA Contact: Testopia
URL: /cgi-bin/koha/opac-user.pl
Keywords:
Depends on:
Blocks:
 
Reported: 2013-08-01 14:56 UTC by Owen Leonard
Modified: 2014-12-07 20:02 UTC (History)
6 users (show)

See Also:
Change sponsored?: ---
Patch complexity: Small patch
Documentation contact:
Documentation submission:
Text to go in the release notes:
Version(s) released in:


Attachments
Bug 10672 - Add subtitle to display of checkouts, overdues, and holds on the patron summary (4.14 KB, patch)
2013-08-01 15:03 UTC, Owen Leonard
Details | Diff | Splinter Review
[SIGNED-OFF] Bug 10672 - Add subtitle to display of checkouts, overdues, and holds on the patron summary (4.14 KB, patch)
2013-08-02 02:48 UTC, Srdjan Jankovic
Details | Diff | Splinter Review
Bug 10672 - Add subtitle to display of checkouts, overdues, and holds on the patron summary (4.40 KB, patch)
2013-09-06 18:43 UTC, Kyle M Hall
Details | Diff | Splinter Review

Note You need to log in before you can comment on or make changes to this bug.
Description Owen Leonard 2013-08-01 14:56:39 UTC
In the OPAC, the patron summary page (opac-user.pl) doesn't show subtitle in the lists of checkouts, overdues, or holds.
Comment 1 Owen Leonard 2013-08-01 15:03:39 UTC Comment hidden (obsolete)
Comment 2 Srdjan Jankovic 2013-08-02 02:48:15 UTC Comment hidden (obsolete)
Comment 3 Kyle M Hall 2013-09-06 13:25:11 UTC
Tested, I see no change in behavior.

http://screencast.com/t/NFW8d7lvImlg
Comment 4 Owen Leonard 2013-09-06 18:37:54 UTC
Kyle, do you have subtitles configured for display under "Keywords to MARC mapping?"

/cgi-bin/koha/admin/fieldmapping.pl
Comment 5 Kyle M Hall 2013-09-06 18:42:37 UTC
Nope, thanks for the help!

Kyle

(In reply to Owen Leonard from comment #4)
> Kyle, do you have subtitles configured for display under "Keywords to MARC
> mapping?"
> 
> /cgi-bin/koha/admin/fieldmapping.pl
Comment 6 Kyle M Hall 2013-09-06 18:43:06 UTC
Created attachment 20836 [details] [review]
Bug 10672 - Add subtitle to display of checkouts, overdues, and holds on the patron summary

In the OPAC, the patron summary page (opac-user.pl) should display
subtitle along with title in the lists of checkouts, overdues, and
holds. This patch adds it.

To test, log in to the OPAC as a patron who has checkouts, overdues, and
holds which include titles with subtitles. Titles should appear
correctly with and without subtitles.

Signed-off-by: Srdjan <srdjan@catalyst.net.nz>
Signed-off-by: Kyle M Hall <kyle@bywatersolutions.com>
Comment 7 Galen Charlton 2013-09-07 21:08:49 UTC
Pushed to master.  Thanks, Owen!
Comment 8 Tomás Cohen Arazi 2013-10-08 14:13:38 UTC
This patch has been pushed to 3.12.x, will be in 3.12.6.

Thanks Owen!
Comment 9 mathieu saby 2013-10-09 11:48:29 UTC
Hi
Could you tell me how subtitle is stored, as there is no subtitle field in biblio table?

M. Saby
Comment 10 Owen Leonard 2013-10-09 11:54:26 UTC
(In reply to mathieu saby from comment #9)
> Could you tell me how subtitle is stored, as there is no subtitle field in
> biblio table?

Subtitle is not stored in any MySQL column. It is pulled from the MARC record.
Comment 11 mathieu saby 2013-10-09 12:07:47 UTC
Ok.
Don't you think it could be interesting to store it in sql? There is already a lot of more or less interesting fields in biblio table, and subtitle is definitly an important information.

M. Saby
Comment 12 Bernardo Gonzalez Kriegel 2013-10-13 22:53:49 UTC
Pushed to 3.10.x, will be in 3.10.12